--- a/arch/i386/mach-voyager/voyager_cat.c
+++ b/arch/i386/mach-voyager/voyager_cat.c
@@ -644,20 +644,18 @@ voyager_cat_init(void)
 		}
 		CDEBUG(("VOYAGER DEBUG: found module id 0x%x, %s\n", i,
 			cat_module_name(i)));
-		*modpp = kmalloc(sizeof(voyager_module_t), GFP_KERNEL); /*&voyager_module_storage[cat_count++];*/
+		*modpp = kzalloc(sizeof(voyager_module_t), GFP_KERNEL); /*&voyager_module_storage[cat_count++];*/
 		if(*modpp == NULL) {
 			printk("**WARNING** kmalloc failure in cat_init\n");
 			continue;
 		}
-		memset(*modpp, 0, sizeof(voyager_module_t));
 		/* need temporary asic for cat_subread.  It will be
 		 * filled in correctly later */
-		(*modpp)->asic = kmalloc(sizeof(voyager_asic_t), GFP_KERNEL); /*&voyager_asic_storage[asic_count];*/
+		(*modpp)->asic = kzalloc(sizeof(voyager_asic_t), GFP_KERNEL); /*&voyager_asic_storage[asic_count];*/
 		if((*modpp)->asic == NULL) {
 			printk("**WARNING** kmalloc failure in cat_init\n");
 			continue;
 		}
-		memset((*modpp)->asic, 0, sizeof(voyager_asic_t));
 		(*modpp)->asic->asic_id = VOYAGER_CAT_ID;
 		(*modpp)->asic->subaddr = VOYAGER_SUBADDR_HI;
 		(*modpp)->module_addr = i;
@@ -772,7 +770,7 @@ voyager_cat_init(void)
 		for(asic=0; asic < (*modpp)->num_asics; asic++) {
 			int j;
 			voyager_asic_t *asicp = *asicpp 
-				= kmalloc(sizeof(voyager_asic_t), GFP_KERNEL); /*&voyager_asic_storage[asic_count++];*/
+				= kzalloc(sizeof(voyager_asic_t), GFP_KERNEL); /*&voyager_asic_storage[asic_count++];*/
 			voyager_sp_table_t *sp_table;
 			voyager_at_t *asic_table;
 			voyager_jtt_t *jtag_table;
@@ -781,7 +779,6 @@ voyager_cat_init(void)
 				printk("**WARNING** kmalloc failure in cat_init\n");
 				continue;
 			}
-			memset(asicp, 0, sizeof(voyager_asic_t));
 			asicpp = &(asicp->next);
 			asicp->asic_location = asic;
 			sp_table = (voyager_sp_table_t *)(eprom_buf + sp_offset);
@@ -847,8 +844,7 @@ voyager_cat_init(void)
 #endif
 
 		{
-			struct resource *res = kmalloc(sizeof(struct resource),GFP_KERNEL);
-			memset(res, 0, sizeof(struct resource));
+			struct resource *res = kzalloc(sizeof(struct resource),GFP_KERNEL);
 			res->name = kmalloc(128, GFP_KERNEL);
 			sprintf((char *)res->name, "Voyager %s Quad CPI", cat_module_name(i));
 			res->start = qic_addr;
--- a/arch/i386/math-emu/reg_divide.c
+++ b/arch/i386/math-emu/reg_divide.c
@@ -150,7 +150,6 @@ int FPU_div(int flags, int rm, int contr
 
       if ( flags & DEST_RM )
 	{
-	  int tag;
 	  tag = FPU_gettag0();
 	  if ( tag == TAG_Special )
 	    tag = FPU_Special(st0_ptr);
@@ -158,7 +157,6 @@ int FPU_div(int flags, int rm, int contr
 	}
       else
 	{
-	  int tag;
 	  tag = FPU_gettagi(rm);
 	  if ( tag == TAG_Special )
 	    tag = FPU_Special(&st(rm));
--- a/arch/i386/pci/pcbios.c
+++ b/arch/i386/pci/pcbios.c
@@ -445,9 +445,8 @@ struct irq_routing_table * __devinit pci
 	if (ret & 0xff00)
 		printk(KERN_ERR "PCI: Error %02x when fetching IRQ routing table.\n", (ret >> 8) & 0xff);
 	else if (opt.size) {
-		rt = kmalloc(sizeof(struct irq_routing_table) + opt.size, GFP_KERNEL);
+		rt = kzalloc(sizeof(struct irq_routing_table) + opt.size, GFP_KERNEL);
 		if (rt) {
-			memset(rt, 0, sizeof(struct irq_routing_table));
 			rt->size = opt.size + sizeof(struct irq_routing_table);
 			rt->exclusive_irqs = map;
 			memcpy(rt->slots, (void *) page, opt.size);
--- a/arch/ia64/hp/common/sba_iommu.c
+++ b/arch/ia64/hp/common/sba_iommu.c
@@ -1673,15 +1673,13 @@ ioc_sac_init(struct ioc *ioc)
 	 * SAC (single address cycle) addressable, so allocate a
 	 * pseudo-device to enforce that.
 	 */
-	sac = kmalloc(sizeof(*sac), GFP_KERNEL);
+	sac = kzalloc(sizeof(*sac), GFP_KERNEL);
 	if (!sac)
 		panic(PFX "Couldn't allocate struct pci_dev");
-	memset(sac, 0, sizeof(*sac));
 
-	controller = kmalloc(sizeof(*controller), GFP_KERNEL);
+	controller = kzalloc(sizeof(*controller), GFP_KERNEL);
 	if (!controller)
 		panic(PFX "Couldn't allocate struct pci_controller");
-	memset(controller, 0, sizeof(*controller));
 
 	controller->iommu = ioc;
 	sac->sysdata = controller;
@@ -1738,12 +1736,10 @@ ioc_init(u64 hpa, void *handle)
 	struct ioc *ioc;
 	struct ioc_iommu *info;
 
-	ioc = kmalloc(sizeof(*ioc), GFP_KERNEL);
+	ioc = kzalloc(sizeof(*ioc), GFP_KERNEL);
 	if (!ioc)
 		return NULL;
 
-	memset(ioc, 0, sizeof(*ioc));
-
 	ioc->next = ioc_list;
 	ioc_list = ioc;
 
--- a/arch/ia64/hp/sim/simserial.c
+++ b/arch/ia64/hp/sim/simserial.c
@@ -685,12 +685,11 @@ static int get_async_struct(int line, st
 		*ret_info = sstate->info;
 		return 0;
 	}
-	info = kmalloc(sizeof(struct async_struct), GFP_KERNEL);
+	info = kzalloc(sizeof(struct async_struct), GFP_KERNEL);
 	if (!info) {
 		sstate->count--;
 		return -ENOMEM;
 	}
-	memset(info, 0, sizeof(struct async_struct));
 	init_waitqueue_head(&info->open_wait);
 	init_waitqueue_head(&info->close_wait);
 	init_waitqueue_head(&info->delta_msr_wait);
--- a/arch/ia64/kernel/cpufreq/acpi-cpufreq.c
+++ b/arch/ia64/kernel/cpufreq/acpi-cpufreq.c
@@ -280,12 +280,10 @@ acpi_cpufreq_cpu_init (
 
 	dprintk("acpi_cpufreq_cpu_init\n");
 
-	data = kmalloc(sizeof(struct cpufreq_acpi_io), GFP_KERNEL);
+	data = kzalloc(sizeof(struct cpufreq_acpi_io), GFP_KERNEL);
 	if (!data)
 		return (-ENOMEM);
 
-	memset(data, 0, sizeof(struct cpufreq_acpi_io));
-
 	acpi_io_data[cpu] = data;
 
 	result = acpi_processor_register_performance(&data->acpi_data, cpu);
--- a/arch/ia64/kernel/perfmon.c
+++ b/arch/ia64/kernel/perfmon.c
@@ -847,11 +847,9 @@ pfm_context_alloc(void)
 	 * allocate context descriptor 
 	 * must be able to free with interrupts disabled
 	 */
-	ctx = kmalloc(sizeof(pfm_context_t), GFP_KERNEL);
-	if (ctx) {
-		memset(ctx, 0, sizeof(pfm_context_t));
+	ctx = kzalloc(sizeof(pfm_context_t), GFP_KERNEL);
+	if (ctx)
 		DPRINT(("alloc ctx @%p\n", ctx));
-	}
 	return ctx;
 }
 
--- a/arch/ia64/pci/pci.c
+++ b/arch/ia64/pci/pci.c
@@ -127,11 +127,10 @@ alloc_pci_controller (int seg)
 {
 	struct pci_controller *controller;
 
-	controller = kmalloc(sizeof(*controller), GFP_KERNEL);
+	controller = kzalloc(sizeof(*controller), GFP_KERNEL);
 	if (!controller)
 		return NULL;
 
-	memset(controller, 0, sizeof(*controller));
 	controller->segment = seg;
 	controller->node = -1;
 	return controller;
--- a/arch/m68k/amiga/chipram.c
+++ b/arch/m68k/amiga/chipram.c
@@ -53,10 +53,9 @@ void *amiga_chip_alloc(unsigned long siz
 #ifdef DEBUG
     printk("amiga_chip_alloc: allocate %ld bytes\n", size);
 #endif
-    res = kmalloc(sizeof(struct resource), GFP_KERNEL);
+    res = kzalloc(sizeof(struct resource), GFP_KERNEL);
     if (!res)
 	return NULL;
-    memset(res, 0, sizeof(struct resource));
     res->name = name;
 
     if (allocate_resource(&chipram_res, res, size, 0, UINT_MAX, PAGE_SIZE, NULL, NULL) < 0) {
--- a/arch/m68k/atari/hades-pci.c
+++ b/arch/m68k/atari/hades-pci.c
@@ -376,10 +376,9 @@ struct pci_bus_info * __init init_hades_
 	 * Allocate memory for bus info structure.
 	 */
 
-	bus = kmalloc(sizeof(struct pci_bus_info), GFP_KERNEL);
+	bus = kzalloc(sizeof(struct pci_bus_info), GFP_KERNEL);
 	if (!bus)
 		return NULL;
-	memset(bus, 0, sizeof(struct pci_bus_info));
 
 	/*
 	 * Claim resources. The m68k has no separate I/O space, both
--- a/arch/m68k/atari/time.c
+++ b/arch/m68k/atari/time.c
@@ -16,6 +16,7 @@
 #include <linux/init.h>
 #include <linux/rtc.h>
 #include <linux/bcd.h>
+#include <linux/delay.h>
 
 #include <asm/atariints.h>
 
@@ -97,7 +98,7 @@ static void mste_write(struct MSTE_RTC *
 	} while(0)
 
 
-#define HWCLK_POLL_INTERVAL	5
+#define HWCLK_POLL_INTERVAL	50	/* ms */
 
 int atari_mste_hwclk( int op, struct rtc_time *t )
 {
@@ -213,7 +214,7 @@ int atari_tt_hwclk( int op, struct rtc_t
      */
 
     while( RTC_READ(RTC_FREQ_SELECT) & RTC_UIP )
-        schedule_timeout_interruptible(HWCLK_POLL_INTERVAL);
+        msleep_interruptible(HWCLK_POLL_INTERVAL);
 
     local_irq_save(flags);
     RTC_WRITE( RTC_CONTROL, ctrl | RTC_SET );
--- a/arch/powerpc/kernel/ibmebus.c
+++ b/arch/powerpc/kernel/ibmebus.c
@@ -210,11 +210,10 @@ static struct ibmebus_dev* __devinit ibm
 		return NULL;
 	}
 
-	dev = kmalloc(sizeof(struct ibmebus_dev), GFP_KERNEL);
+	dev = kzalloc(sizeof(struct ibmebus_dev), GFP_KERNEL);
 	if (!dev) {
 		return NULL;
 	}
-	memset(dev, 0, sizeof(struct ibmebus_dev));
 
 	dev->ofdev.node = of_node_get(dn);
        
--- a/arch/powerpc/kernel/pci_64.c
+++ b/arch/powerpc/kernel/pci_64.c
@@ -364,7 +364,7 @@ struct pci_dev *of_create_pci_dev(struct
 	struct pci_dev *dev;
 	const char *type;
 
-	dev = kmalloc(sizeof(struct pci_dev), GFP_KERNEL);
+	dev = kzalloc(sizeof(struct pci_dev), GFP_KERNEL);
 	if (!dev)
 		return NULL;
 	type = get_property(node, "device_type", NULL);
@@ -373,7 +373,6 @@ struct pci_dev *of_create_pci_dev(struct
 
 	DBG("    create device, devfn: %x, type: %s\n", devfn, type);
 
-	memset(dev, 0, sizeof(struct pci_dev));
 	dev->bus = bus;
 	dev->sysdata = node;
 	dev->dev.parent = bus->bridge;
--- a/arch/powerpc/kernel/smp-tbsync.c
+++ b/arch/powerpc/kernel/smp-tbsync.c
@@ -116,8 +116,7 @@ void __devinit smp_generic_give_timebase
 	printk("Synchronizing timebase\n");
 
 	/* if this fails then this kernel won't work anyway... */
-	tbsync = kmalloc( sizeof(*tbsync), GFP_KERNEL );
-	memset( tbsync, 0, sizeof(*tbsync) );
+	tbsync = kzalloc(sizeof(*tbsync), GFP_KERNEL);
 	mb();
 	running = 1;
 
--- a/arch/powerpc/platforms/iseries/iommu.c
+++ b/arch/powerpc/platforms/iseries/iommu.c
@@ -107,12 +107,10 @@ void iommu_table_getparms_iSeries(unsign
 {
 	struct iommu_table_cb *parms;
 
-	parms = kmalloc(sizeof(*parms), GFP_KERNEL);
+	parms = kzalloc(sizeof(*parms), GFP_KERNEL);
 	if (parms == NULL)
 		panic("PCI_DMA: TCE Table Allocation failed.");
 
-	memset(parms, 0, sizeof(*parms));
-
 	parms->itc_busno = busno;
 	parms->itc_slotno = slotno;
 	parms->itc_virtbus = virtbus;
--- a/arch/powerpc/platforms/iseries/pci.c
+++ b/arch/powerpc/platforms/iseries/pci.c
@@ -207,10 +207,9 @@ static struct device_node *build_device_
 	struct device_node *node;
 	struct pci_dn *pdn;
 
-	node = kmalloc(sizeof(struct device_node), GFP_KERNEL);
+	node = kzalloc(sizeof(struct device_node), GFP_KERNEL);
 	if (node == NULL)
 		return NULL;
-	memset(node, 0, sizeof(struct device_node));
 	pdn = kzalloc(sizeof(*pdn), GFP_KERNEL);
 	if (pdn == NULL) {
 		kfree(node);
--- a/arch/powerpc/platforms/iseries/vio.c
+++ b/arch/powerpc/platforms/iseries/vio.c
@@ -53,10 +53,9 @@ static struct vio_dev *__init vio_regist
 	struct vio_dev *viodev;
 
 	/* allocate a vio_dev for this device */
-	viodev = kmalloc(sizeof(struct vio_dev), GFP_KERNEL);
+	viodev = kzalloc(sizeof(struct vio_dev), GFP_KERNEL);
 	if (!viodev)
 		return NULL;
-	memset(viodev, 0, sizeof(struct vio_dev));
 
 	snprintf(viodev->dev.bus_id, BUS_ID_SIZE, "%s%d", type, unit_num);
 
--- a/arch/powerpc/platforms/pseries/reconfig.c
+++ b/arch/powerpc/platforms/pseries/reconfig.c
@@ -268,11 +268,10 @@ static char * parse_next_property(char *
 static struct property *new_property(const char *name, const int length,
 				     const unsigned char *value, struct property *last)
 {
-	struct property *new = kmalloc(sizeof(*new), GFP_KERNEL);
+	struct property *new = kzalloc(sizeof(*new), GFP_KERNEL);
 
 	if (!new)
 		return NULL;
-	memset(new, 0, sizeof(*new));
 
 	if (!(new->name = kmalloc(strlen(name) + 1, GFP_KERNEL)))
 		goto cleanup;
--- a/arch/powerpc/platforms/pseries/vio.c
+++ b/arch/powerpc/platforms/pseries/vio.c
@@ -167,11 +167,10 @@ struct vio_dev * __devinit vio_register_
 	}
 
 	/* allocate a vio_dev for this node */
-	viodev = kmalloc(sizeof(struct vio_dev), GFP_KERNEL);
+	viodev = kzalloc(sizeof(struct vio_dev), GFP_KERNEL);
 	if (!viodev) {
 		return NULL;
 	}
-	memset(viodev, 0, sizeof(struct vio_dev));
 
 	viodev->dev.platform_data = of_node_get(of_node);
 
--- a/arch/ppc/4xx_io/serial_sicc.c
+++ b/arch/ppc/4xx_io/serial_sicc.c
@@ -58,125 +58,121 @@
 #include <asm/uaccess.h>
 #include <asm/serial.h>
 
-
 #include <linux/serialP.h>
 
-
 /* -----------------------------------------------------------------------------
  *  From STB03xxx SICC UART Specification
  * -----------------------------------------------------------------------------
  *  UART Register Offsets.
  */
 
-#define BL_SICC_LSR   0x0000000      /* line status register read/clear */
-#define BL_SICC_LSRS  0x0000001      /* set line status register read/set */
-#define BL_SICC_HSR   0x0000002      /* handshake status register r/clear */
-#define BL_SICC_HSRS  0x0000003      /* set handshake status register r/set */
-#define BL_SICC_BRDH  0x0000004      /* baudrate divisor high reg r/w */
-#define BL_SICC_BRDL  0x0000005      /* baudrate divisor low reg r/w */
-#define BL_SICC_LCR   0x0000006      /* control register r/w */
-#define BL_SICC_RCR   0x0000007      /* receiver command register r/w */
-#define BL_SICC_TxCR  0x0000008      /* transmitter command register r/w */
-#define BL_SICC_RBR   0x0000009      /* receive buffer r */
-#define BL_SICC_TBR   0x0000009      /* transmit buffer w */
-#define BL_SICC_CTL2  0x000000A      /* added for Vesta */
-#define BL_SICC_IrCR  0x000000B      /* added for Vesta IR */
+#define BL_SICC_LSR   0x0000000	/* line status register read/clear */
+#define BL_SICC_LSRS  0x0000001	/* set line status register read/set */
+#define BL_SICC_HSR   0x0000002	/* handshake status register r/clear */
+#define BL_SICC_HSRS  0x0000003	/* set handshake status register r/set */
+#define BL_SICC_BRDH  0x0000004	/* baudrate divisor high reg r/w */
+#define BL_SICC_BRDL  0x0000005	/* baudrate divisor low reg r/w */
+#define BL_SICC_LCR   0x0000006	/* control register r/w */
+#define BL_SICC_RCR   0x0000007	/* receiver command register r/w */
+#define BL_SICC_TxCR  0x0000008	/* transmitter command register r/w */
+#define BL_SICC_RBR   0x0000009	/* receive buffer r */
+#define BL_SICC_TBR   0x0000009	/* transmit buffer w */
+#define BL_SICC_CTL2  0x000000A	/* added for Vesta */
+#define BL_SICC_IrCR  0x000000B	/* added for Vesta IR */
 
 /* masks and definitions for serial port control register */
 
-#define _LCR_LM_MASK  0xc0            /* loop back modes */
-#define _LCR_DTR_MASK 0x20            /* data terminal ready 0-inactive */
-#define _LCR_RTS_MASK 0x10            /* request to send 0-inactive */
-#define _LCR_DB_MASK  0x08            /* data bits mask */
-#define _LCR_PE_MASK  0x04            /* parity enable */
-#define _LCR_PTY_MASK 0x02            /* parity */
-#define _LCR_SB_MASK  0x01            /* stop bit mask */
-
-#define _LCR_LM_NORM  0x00            /* normal operation */
-#define _LCR_LM_LOOP  0x40            /* internal loopback mode */
-#define _LCR_LM_ECHO  0x80            /* automatic echo mode */
-#define _LCR_LM_RES   0xc0            /* reserved */
-
-#define _LCR_DTR_ACTIVE       _LCR_DTR_MASK /* DTR is active */
-#define _LCR_RTS_ACTIVE       _LCR_RTS_MASK /* RTS is active */
-#define _LCR_DB_8_BITS        _LCR_DB_MASK  /*  8 data bits */
-#define _LCR_DB_7_BITS        0x00          /*  7 data bits */
-#define _LCR_PE_ENABLE        _LCR_PE_MASK  /* parity enabled */
-#define _LCR_PE_DISABLE       0x00          /* parity disabled */
-#define _LCR_PTY_EVEN         0x00          /* even parity */
-#define _LCR_PTY_ODD          _LCR_PTY_MASK /* odd parity */
-#define _LCR_SB_1_BIT         0x00          /* one stop bit */
-#define _LCR_SB_2_BIT         _LCR_SB_MASK  /* two stop bit */
+#define _LCR_LM_MASK  0xc0	/* loop back modes */
+#define _LCR_DTR_MASK 0x20	/* data terminal ready 0-inactive */
+#define _LCR_RTS_MASK 0x10	/* request to send 0-inactive */
+#define _LCR_DB_MASK  0x08	/* data bits mask */
+#define _LCR_PE_MASK  0x04	/* parity enable */
+#define _LCR_PTY_MASK 0x02	/* parity */
+#define _LCR_SB_MASK  0x01	/* stop bit mask */
+
+#define _LCR_LM_NORM  0x00	/* normal operation */
+#define _LCR_LM_LOOP  0x40	/* internal loopback mode */
+#define _LCR_LM_ECHO  0x80	/* automatic echo mode */
+#define _LCR_LM_RES   0xc0	/* reserved */
+
+#define _LCR_DTR_ACTIVE       _LCR_DTR_MASK	/* DTR is active */
+#define _LCR_RTS_ACTIVE       _LCR_RTS_MASK	/* RTS is active */
+#define _LCR_DB_8_BITS        _LCR_DB_MASK	/*  8 data bits */
+#define _LCR_DB_7_BITS        0x00	/*  7 data bits */
+#define _LCR_PE_ENABLE        _LCR_PE_MASK	/* parity enabled */
+#define _LCR_PE_DISABLE       0x00	/* parity disabled */
+#define _LCR_PTY_EVEN         0x00	/* even parity */
+#define _LCR_PTY_ODD          _LCR_PTY_MASK	/* odd parity */
+#define _LCR_SB_1_BIT         0x00	/* one stop bit */
+#define _LCR_SB_2_BIT         _LCR_SB_MASK	/* two stop bit */
 
 /* serial port handshake register */
 
-#define _HSR_DIS_MASK  0x80            /* DSR input inactive error mask */
-#define _HSR_CS_MASK   0x40            /* CTS input inactive error mask */
-#define _HSR_DIS_ACT   0x00            /* dsr input is active */
-#define _HSR_DIS_INACT _HSR_DIS_MASK   /* dsr input is inactive */
-#define _HSR_CS_ACT    0x00            /* cts input is active */
-#define _HSR_CS_INACT  _HSR_CS_MASK    /* cts input is active */
+#define _HSR_DIS_MASK  0x80	/* DSR input inactive error mask */
+#define _HSR_CS_MASK   0x40	/* CTS input inactive error mask */
+#define _HSR_DIS_ACT   0x00	/* dsr input is active */
+#define _HSR_DIS_INACT _HSR_DIS_MASK	/* dsr input is inactive */
+#define _HSR_CS_ACT    0x00	/* cts input is active */
+#define _HSR_CS_INACT  _HSR_CS_MASK	/* cts input is active */
 
 /* serial port line status register */
 
-#define _LSR_RBR_MASK  0x80            /* receive buffer ready mask */
-#define _LSR_FE_MASK   0x40            /* framing error */
-#define _LSR_OE_MASK   0x20            /* overrun error */
-#define _LSR_PE_MASK   0x10            /* parity error */
-#define _LSR_LB_MASK   0x08            /* line break */
-#define _LSR_TBR_MASK  0x04            /* transmit buffer ready */
-#define _LSR_TSR_MASK  0x02            /* transmit shift register ready */
-
-#define _LSR_RBR_FULL  _LSR_RBR_MASK  /* receive buffer is full */
-#define _LSR_FE_ERROR  _LSR_FE_MASK   /* framing error detected */
-#define _LSR_OE_ERROR  _LSR_OE_MASK   /* overrun error detected */
-#define _LSR_PE_ERROR  _LSR_PE_MASK   /* parity error detected */
-#define _LSR_LB_BREAK  _LSR_LB_MASK   /* line break detected */
-#define _LSR_TBR_EMPTY _LSR_TBR_MASK  /* transmit buffer is ready */
-#define _LSR_TSR_EMPTY _LSR_TSR_MASK  /* transmit shift register is empty */
-#define _LSR_TX_ALL    0x06           /* all physical transmit is done */
+#define _LSR_RBR_MASK  0x80	/* receive buffer ready mask */
+#define _LSR_FE_MASK   0x40	/* framing error */
+#define _LSR_OE_MASK   0x20	/* overrun error */
+#define _LSR_PE_MASK   0x10	/* parity error */
+#define _LSR_LB_MASK   0x08	/* line break */
+#define _LSR_TBR_MASK  0x04	/* transmit buffer ready */
+#define _LSR_TSR_MASK  0x02	/* transmit shift register ready */
+
+#define _LSR_RBR_FULL  _LSR_RBR_MASK	/* receive buffer is full */
+#define _LSR_FE_ERROR  _LSR_FE_MASK	/* framing error detected */
+#define _LSR_OE_ERROR  _LSR_OE_MASK	/* overrun error detected */
+#define _LSR_PE_ERROR  _LSR_PE_MASK	/* parity error detected */
+#define _LSR_LB_BREAK  _LSR_LB_MASK	/* line break detected */
+#define _LSR_TBR_EMPTY _LSR_TBR_MASK	/* transmit buffer is ready */
+#define _LSR_TSR_EMPTY _LSR_TSR_MASK	/* transmit shift register is empty */
+#define _LSR_TX_ALL    0x06	/* all physical transmit is done */
 
 #define _LSR_RX_ERR    (_LSR_LB_BREAK | _LSR_FE_MASK | _LSR_OE_MASK | \
 			 _LSR_PE_MASK )
 
 /* serial port receiver command register */
 
-#define _RCR_ER_MASK   0x80           /* enable receiver mask */
-#define _RCR_DME_MASK  0x60           /* dma mode */
-#define _RCR_EIE_MASK  0x10           /* error interrupt enable mask */
-#define _RCR_PME_MASK  0x08           /* pause mode mask */
-
-#define _RCR_ER_ENABLE _RCR_ER_MASK   /* receiver enabled */
-#define _RCR_DME_DISABLE 0x00         /* dma disabled */
-#define _RCR_DME_RXRDY 0x20           /* dma disabled, RxRDY interrupt enabled*/
-#define _RCR_DME_ENABLE2 0x40         /* dma enabled,receiver src channel 2 */
-#define _RCR_DME_ENABLE3 0x60         /* dma enabled,receiver src channel 3 */
-#define _RCR_PME_HARD  _RCR_PME_MASK  /* RTS controlled by hardware */
-#define _RCR_PME_SOFT  0x00           /* RTS controlled by software */
+#define _RCR_ER_MASK   0x80	/* enable receiver mask */
+#define _RCR_DME_MASK  0x60	/* dma mode */
+#define _RCR_EIE_MASK  0x10	/* error interrupt enable mask */
+#define _RCR_PME_MASK  0x08	/* pause mode mask */
+
+#define _RCR_ER_ENABLE _RCR_ER_MASK	/* receiver enabled */
+#define _RCR_DME_DISABLE 0x00	/* dma disabled */
+#define _RCR_DME_RXRDY 0x20	/* dma disabled, RxRDY interrupt enabled */
+#define _RCR_DME_ENABLE2 0x40	/* dma enabled,receiver src channel 2 */
+#define _RCR_DME_ENABLE3 0x60	/* dma enabled,receiver src channel 3 */
+#define _RCR_PME_HARD  _RCR_PME_MASK	/* RTS controlled by hardware */
+#define _RCR_PME_SOFT  0x00	/* RTS controlled by software */
 
 /* serial port transmit command register */
 
-#define _TxCR_ET_MASK   0x80           /* transmiter enable mask */
-#define _TxCR_DME_MASK  0x60           /* dma mode mask */
-#define _TxCR_TIE_MASK  0x10           /* empty interrupt enable mask */
-#define _TxCR_EIE_MASK  0x08           /* error interrupt enable mask */
-#define _TxCR_SPE_MASK  0x04           /* stop/pause mask */
-#define _TxCR_TB_MASK   0x02           /* transmit break mask */
-
-#define _TxCR_ET_ENABLE _TxCR_ET_MASK  /* transmiter enabled */
-#define _TxCR_DME_DISABLE 0x00         /* transmiter disabled, TBR intr disabled */
-#define _TxCR_DME_TBR   0x20           /* transmiter disabled, TBR intr enabled */
-#define _TxCR_DME_CHAN_2 0x40          /* dma enabled, destination chann 2 */
-#define _TxCR_DME_CHAN_3 0x60          /* dma enabled, destination chann 3 */
+#define _TxCR_ET_MASK   0x80	/* transmiter enable mask */
+#define _TxCR_DME_MASK  0x60	/* dma mode mask */
+#define _TxCR_TIE_MASK  0x10	/* empty interrupt enable mask */
+#define _TxCR_EIE_MASK  0x08	/* error interrupt enable mask */
+#define _TxCR_SPE_MASK  0x04	/* stop/pause mask */
+#define _TxCR_TB_MASK   0x02	/* transmit break mask */
+
+#define _TxCR_ET_ENABLE _TxCR_ET_MASK	/* transmiter enabled */
+#define _TxCR_DME_DISABLE 0x00	/* transmiter disabled, TBR intr disabled */
+#define _TxCR_DME_TBR   0x20	/* transmiter disabled, TBR intr enabled */
+#define _TxCR_DME_CHAN_2 0x40	/* dma enabled, destination chann 2 */
+#define _TxCR_DME_CHAN_3 0x60	/* dma enabled, destination chann 3 */
 
 /* serial ctl reg 2 - added for Vesta */
 
-#define _CTL2_EXTERN  0x80            /*  */
-#define _CTL2_USEFIFO 0x40            /*  */
-#define _CTL2_RESETRF 0x08            /*  */
-#define _CTL2_RESETTF 0x04            /*  */
-
-
+#define _CTL2_EXTERN  0x80	/*  */
+#define _CTL2_USEFIFO 0x40	/*  */
+#define _CTL2_RESETRF 0x08	/*  */
+#define _CTL2_RESETTF 0x04	/*  */
 
 #define SERIAL_SICC_NAME    "ttySICC"
 #define SERIAL_SICC_MAJOR   150
@@ -223,46 +219,46 @@ static u_char *tmp_buf;
 #define EVT_WRITE_WAKEUP    0
 
 struct SICC_icount {
-    __u32   cts;
-    __u32   dsr;
-    __u32   rng;
-    __u32   dcd;
-    __u32   rx;
-    __u32   tx;
-    __u32   frame;
-    __u32   overrun;
-    __u32   parity;
-    __u32   brk;
-    __u32   buf_overrun;
+	__u32 cts;
+	__u32 dsr;
+	__u32 rng;
+	__u32 dcd;
+	__u32 rx;
+	__u32 tx;
+	__u32 frame;
+	__u32 overrun;
+	__u32 parity;
+	__u32 brk;
+	__u32 buf_overrun;
 };
 
 /*
  * Static information about the port
  */
 struct SICC_port {
-    unsigned int        uart_base;
-    unsigned int        uart_base_phys;
-    unsigned int        irqrx;
-    unsigned int        irqtx;
-    unsigned int        uartclk;
-    unsigned int        fifosize;
-    unsigned int        tiocm_support;
-    void (*set_mctrl)(struct SICC_port *, u_int mctrl);
+	unsigned int uart_base;
+	unsigned int uart_base_phys;
+	unsigned int irqrx;
+	unsigned int irqtx;
+	unsigned int uartclk;
+	unsigned int fifosize;
+	unsigned int tiocm_support;
+	void (*set_mctrl) (struct SICC_port *, u_int mctrl);
 };
 
 /*
  * This is the state information which is persistent across opens
  */
 struct SICC_state {
-    struct SICC_icount  icount;
-    unsigned int        line;
-    unsigned int        close_delay;
-    unsigned int        closing_wait;
-    unsigned int        custom_divisor;
-    unsigned int        flags;
-    int         count;
-    struct SICC_info    *info;
-    spinlock_t		sicc_lock;
+	struct SICC_icount icount;
+	unsigned int line;
+	unsigned int close_delay;
+	unsigned int closing_wait;
+	unsigned int custom_divisor;
+	unsigned int flags;
+	int count;
+	struct SICC_info *info;
+	spinlock_t sicc_lock;
 };
 
 #define SICC_XMIT_SIZE 1024
@@ -270,53 +266,52 @@ struct SICC_state {
  * This is the state information which is only valid when the port is open.
  */
 struct SICC_info {
-    struct SICC_port    *port;
-    struct SICC_state   *state;
-    struct tty_struct   *tty;
-    unsigned char       x_char;
-    unsigned char       old_status;
-    unsigned char       read_status_mask;
-    unsigned char       ignore_status_mask;
-    struct circ_buf     xmit;
-    unsigned int        flags;
+	struct SICC_port *port;
+	struct SICC_state *state;
+	struct tty_struct *tty;
+	unsigned char x_char;
+	unsigned char old_status;
+	unsigned char read_status_mask;
+	unsigned char ignore_status_mask;
+	struct circ_buf xmit;
+	unsigned int flags;
 #ifdef SUPPORT_SYSRQ
-    unsigned long       sysrq;
+	unsigned long sysrq;
 #endif
 
-    unsigned int        event;
-    unsigned int        timeout;
-    unsigned int        lcr_h;
-    unsigned int        mctrl;
-    int         blocked_open;
-
-    struct tasklet_struct   tlet;
-
-    wait_queue_head_t   open_wait;
-    wait_queue_head_t   close_wait;
-    wait_queue_head_t   delta_msr_wait;
+	unsigned int event;
+	unsigned int timeout;
+	unsigned int lcr_h;
+	unsigned int mctrl;
+	int blocked_open;
+
+	struct tasklet_struct tlet;
+
+	wait_queue_head_t open_wait;
+	wait_queue_head_t close_wait;
+	wait_queue_head_t delta_msr_wait;
 };
 
 #ifdef CONFIG_SERIAL_SICC_CONSOLE
 static struct console siccuart_cons;
 #endif
-static void siccuart_change_speed(struct SICC_info *info, struct termios *old_termios);
+static void siccuart_change_speed(struct SICC_info *info,
+				  struct termios *old_termios);
 static void siccuart_wait_until_sent(struct tty_struct *tty, int timeout);
 
-
-
 static void powerpcMtcic_cr(unsigned long value)
 {
-    mtdcr(DCRN_CICCR, value);
+	mtdcr(DCRN_CICCR, value);
 }
 
 static unsigned long powerpcMfcic_cr(void)
 {
-    return mfdcr(DCRN_CICCR);
+	return mfdcr(DCRN_CICCR);
 }
 
 static unsigned long powerpcMfclkgpcr(void)
 {
-    return mfdcr(DCRN_SCCR);
+	return mfdcr(DCRN_SCCR);
 }
 
 static void sicc_set_mctrl_null(struct SICC_port *port, u_int mctrl)
